Программа: Destiney Links Script 2.1.2 для Microsoft IIS, возможно другие
версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить
доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "term" в сценарии index.php. Удаленный пользователь может с помощью
специально сформированного запроса выполнить произвольный код сценария в
браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в
различных полях в сценарии add.php. Удаленный пользователь может с помощью
специально сформированного запроса выполнить произвольный код сценария в
браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "show" сценария index.php. Удаленный пользователь может просмотреть
произвольные файлы на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc"
должна быть отключена.

4. Уязвимость существует из-за недостаточной обработки входных данных в
параметре "ID". Удаленный пользователь может с помощью специально
сформированного запроса выполнить произвольные SQL команды в базе данных
приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна
быть отключена.
 



Оставить мнение